package com.mdd.admin.validate.user;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;

@ApiModel("用户更新参数")
public class UserUpdateValidate implements Serializable {
   private static final long serialVersionUID = 1L;
   @ApiModelProperty("id")
   private Integer id;
   @ApiModelProperty("字段")
   private String field;
   @ApiModelProperty("值")
   private String value;

   public Integer getId() {
      return this.id;
   }

   public String getField() {
      return this.field;
   }

   public String getValue() {
      return this.value;
   }

   public void setId(Integer id) {
      this.id = id;
   }

   public void setField(String field) {
      this.field = field;
   }

   public void setValue(String value) {
      this.value = value;
   }

   public boolean equals(Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof UserUpdateValidate)) {
         return false;
      } else {
         UserUpdateValidate other = (UserUpdateValidate)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            label47: {
               Object this$id = this.getId();
               Object other$id = other.getId();
               if (this$id == null) {
                  if (other$id == null) {
                     break label47;
                  }
               } else if (this$id.equals(other$id)) {
                  break label47;
               }

               return false;
            }

            Object this$field = this.getField();
            Object other$field = other.getField();
            if (this$field == null) {
               if (other$field != null) {
                  return false;
               }
            } else if (!this$field.equals(other$field)) {
               return false;
            }

            Object this$value = this.getValue();
            Object other$value = other.getValue();
            if (this$value == null) {
               if (other$value != null) {
                  return false;
               }
            } else if (!this$value.equals(other$value)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(Object other) {
      return other instanceof UserUpdateValidate;
   }

   public int hashCode() {
      int PRIME = true;
      int result = 1;
      Object $id = this.getId();
      result = result * 59 + ($id == null ? 43 : $id.hashCode());
      Object $field = this.getField();
      result = result * 59 + ($field == null ? 43 : $field.hashCode());
      Object $value = this.getValue();
      result = result * 59 + ($value == null ? 43 : $value.hashCode());
      return result;
   }

   public String toString() {
      return "UserUpdateValidate(id=" + this.getId() + ", field=" + this.getField() + ", value=" + this.getValue() + ")";
   }
}
